Skip to main content

Relationship

GET

Payout API WPT Payout API

The Relationship API is used to fetch the relation of the beneficiary with the sender.

Request Parameter​

ParametersInput TypeLengthRequirementDescription
transactionTypeAlphanumeric03MThe harmonized Transaction Type. Fixed default value B2C, B2B, C2C, C2B.

Requirement legend: M = Mandatory · O = Optional · C = Conditional

Request Details​

GET /services HTTP/1.0
HOST: sandbox-client.remittanceshub.com:8130
Content-Type: application/json; charset=utf-8
GET https://sandbox-client.remittanceshub.com:8130/ewallet/api/v1/getRelationship/RHUB/B2B/

Response Parameter​

ParametersData TypeRequirementDescription
requestTimeStringMThis is the requested date and time in the Day Mmm DD HH:MM:SS TIMEZONE YYYY.
responseTimeStringMThis is the response date and time in the Day Mmm DD HH:MM:SS TIMEZONE YYYY.
resultCodeStringMThe unique code of the status of the transaction.
resultDescriptionStringMDescription of the status of the transaction.
Result
Result - dataStringM
Result - valueStringM

Requirement legend: M = Mandatory · O = Optional · C = Conditional

Response Details​

{
"requestTime": "Tue Jan 28 16:10:38 IST 2025",
"responseTime": "Tue Jan 28 16:10:38 IST 2025",
"resultCode": "0",
"resultDescription": "Transaction successful",
"result": [
{
"data": "RHR004",
"value": "Employer"
},
{
"data": "RHR003",
"value": "Vendor"
},
{
"data": "RHR002",
"value": "Supplier"
},
{
"data": "RHR001",
"value": "Employee"
}
]
}